Show / Hide Table of Contents

# Class ConnectedBindingQueue

ConnectedBindingQueue class for processing online binding requests

##### Inheritance

System.Object
BindingQueue<ConnectedBindingContext>
ConnectedBindingQueue

##### Inherited Members

BindingQueue<ConnectedBindingContext>.StopQueueProcessor(Int32)
BindingQueue<ConnectedBindingContext>.QueueBindingOperation(String, Func<IBindingContext, CancellationToken, Object>, Func<IBindingContext, Object>, Nullable<Int32>, Nullable<Int32>)
BindingQueue<ConnectedBindingContext>.GetOrCreateBindingContext(String)
BindingQueue<ConnectedBindingContext>.BindingContextExists(String)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectedBindingQueue : BindingQueue<ConnectedBindingContext>

### Methods

| Improve this Doc View Source

#### AddConnectionContext(ConnectionInfo)

Use a ConnectionInfo item to create a connected binding context

##### Declaration

    public virtual string AddConnectionContext(ConnectionInfo connInfo)

##### Parameters

Type | Name | Description
--- | --- | ---
ConnectionInfo | connInfo |

##### Returns

Type | Description
--- | ---
System.String |